﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
<%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Detail
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
   <% Html.RenderAction("Menu", "Admin"); %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% using(Html.BeginForm("SaveChanges", "Algorithm")) %>
    <% { %>
    <h2>
        Detail</h2>
    <%
     
        // The Model will be filled via the Controller
        // Maybe we can use here the Problem instead
        // of the ProblemModel. But this must be changed
        // in the Controller too!

        Algorithm p = ((AlgorithmModel)Model).Algorithm;
    %>

            <div class="hl-menuButtons">                 
        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
        </div>

    <table class="hl-table">
        <tr>
            <th>
                Id:
            </th>
            <td>
                <%: Html.Label(p.Id.ToString())%>
            </td>
            <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
        </tr>
        <tr>
            <th>
                Name:
            </th>
            <td>
                <%: Html.TextBox("AlgorithmName", p.Name, p.Name)%>
            </td>
        </tr>
        <tr>
            <th>
                Description:
            </th>
            <td>
                <%: Html.TextBox("AlgorithmDescription", p.Description, p.Description)%>
            </td>
        </tr>
        <tr>
            <th>
                DataTypeName:
            </th>
            <td>
                <%: Html.TextBox("AlgorithmDataTypeName", p.DataTypeName, p.DataTypeName)%>
            </td>
        </tr>
        <tr>
            <th>
                Algorith Class:
            </th>
            <td>
                <select name="AlgorithmClassId">
                    <% foreach(AlgorithmClass pc in ((AlgorithmModel)Model).AlgorithmClasses) {  %>
                        <% if(p.AlgorithmClassId == pc.Id) { %>
                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } else { %>
                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } %>
                    <% } %>
                </select>
            </td>
        </tr>
        <tr>
            <th>
                Platform:
            </th>
            <td>
                <select name="PlatformId">
                    <% foreach(Platform pc in ((AlgorithmModel)Model).Platforms) {  %>
                        <% if(p.PlatformId == pc.Id) { %>
                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } else { %>
                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } %>
                    <% } %>
                </select>
            </td>
        </tr>
        <tr>
            <th>
                Action:
            </th>
            <td>
                <input type="submit" value="save" />
            </td>
        </tr>
    </table>    
    
    <% } %>

    <% using (Html.BeginForm("UploadFile", "Algorithm", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {%><br />
        <% Algorithm p = ((AlgorithmModel)Model).Algorithm; %>        
        <table class="hl-table">
            <tr>
                <th>
                    File:
                </th>
                <td>
                    <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
                    <input type="file" name="files" id="file2" size="25" /> 
                </td>
            </tr>
            <tr>
                <th>
                    Action:
                </th>
                <td>
                    <input type="submit" value="Upload file" />
                </td>
            </tr>
        </table> 

        <% } %> 
        

</asp:Content>
